export default {
    options: [
        'All cancers combined',
        'Bile duct/cholangiocarcinoma',
        'Bile duct/Gallbladder',
        'Bone',
        'Brain',
        'Brain (Acoustic neuroma)',
        'Brain (Astrocytoma)',
        'Brain (Childhood cancer)',
        'Brain (Glioma)',
        'Breast',
        'Breast (Post-Menopausal)',
        'Breast (Pre-Menopausal)',
        'Cervix/uterine cervix',
        'Childhood cancer',
        'CNS (Central nervous system)',
        'Colon',
        'Colon & rectum',
        'Endometrium',
        'Eye',
        'Upper aerodigestive tract',
        'Hepatoblastoma',
        'HL (Hodgkin\'s lymphoma)',
        'Kidney',
        'Kidney (renal cell carcinoma)',
        'Kidney (urinary pelvis/UUT)',
        'Larynx',
        'Leukemia',
        'Leukemia (ALL (Acute lymphoblastic/lymphocytic leukemia))',
        'Leukemia (AML (Acute myeloid leukemia))',
        'Leukemia (Childhood cancer)',
        'Leukemia (CML (Chronic myeloid leukemia))',
        'Leukemia (Lymphoid)',
        'Leukemia (Myeloid)',
        'Lip',
        'Liver and bile ducts',
        'Liver/hepatocellular carcinoma',
        'Lung',
        'Lung (Adenocarcinoma)',
        'Lung (Small cell/Oat cell)',
        'Lung (Squamous cell carcinoma)',
        'Lymphatic and hematopoetic',
        'Lymphoma (type not specified)',
        'Lymphosarcoma-reticulosarcoma',
        'Malignant melanoma',
        'Mesothelioma',
        'Mesothelioma (peritoneal)',
        'Mesothelioma (pleural)',
        'MM (Multiple myeloma)',
        'Nasal cavity & sinuses',
        'NHL (B-cell lymphoma)',
        'NHL (CLL (chronic lymphocytic leukemia))',
        'NHL (DLBCL (Diffuse large B-cell lymphoma))',
        'NHL (Follicular)',
        'NHL (HCL (Hairy cell leukemia))',
        'NHL (Mantle Cell)',
        'NHL (Non-hodgkin\'s lymphoma)',
        'NHL (SLL/CLL)',
        'NHL (T-cell lymphoma)',
        'Non-melanoma skin cancer',
        'Oesophagus',
        'Oesophagus (Adenocarcinoma)',
        'Oesophagus (Squamous cell carcinoma)',
        'Oral cavity',
        'Oral/Pharyngeal combined',
        'Osteosarcoma',
        'Other (specify)',
        'Ovary',
        'Ovary (mucinous)',
        'Ovary (others)',
        'Ovary (serous)',
        'Pancreas',
        'Penis',
        'Pharynx',
        'Pharynx (Hypopharynx)',
        'Pharynx (Nasopharynx)',
        'Pharynx (Oropharynx)',
        'Pleura',
        'Prostate',
        'Prostate (Aggressive/Advanced)',
        'Rectum',
        'Respiratory tract',
        'Salivary glands',
        'Skin (basal cell carcinoma)',
        'Skin (non melanoma)',
        'Skin (squamous cell carcinoma)',
        'Small intestine',
        'Soft tissue and bone',
        'Stomach/gastric cancer',
        'STS (Soft tissue sarcoma)',
        'Testis',
        'Testis (non-seminomas)',
        'Testis (seminomas)',
        'Urinary bladder',
        'Uterus/uterine corpus',
    ],
    synonyms: {
        'renal': [
            'Kidney',
            'Kidney (renal cell carcinoma)',
            'Kidney (urinary pelvis/UUT)',
        ],
        'large intestine': [
            'Colon',
            'Colon & rectum',
        ],
        'colorect': [
            'Colon & rectum',
        ],
        'Head and neck': [
            'upper aerodigestive tract',
        ],
        'upper digestive tract': [
            'Head and neck',
        ],
        'leukaemia': [
            'Leukemia',
            'Leukemia (ALL (Acute lymphoblastic/lymphocytic leukemia))',
            'Leukemia (AML (Acute myeloid leukemia))',
            'Leukemia (Childhood cancer)',
            'Leukemia (CML (Chronic myeloid leukemia))',
            'Leukemia (Lymphoid)',
            'Leukemia (Myeloid)',
        ],
        'esophagus': [
            'Oesophagus',
            'Oesophagus (Adenocarcinoma)',
            'Oesophagus (Squamous cell carcinoma)',
        ],
    },
};
